package controller

import "campaign-pool-be/app/module/user_role_level_details/service"

type Controller struct {
	UserRoleLevelDetails UserRoleLevelDetailsController
}

func NewController(UserRoleLevelDetailsService service.UserRoleLevelDetailsService) *Controller {
	return &Controller{
		UserRoleLevelDetails: NewUserRoleLevelDetailsController(UserRoleLevelDetailsService),
	}
}
